--- Acceleration/library/icp_crypto/QATAL/linux_2.6_kernel_space.mk	2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/library/icp_crypto/QATAL/linux_2.6_kernel_space.mk	2009-04-15 14:37:46.000000000 +0100
@@ -66,7 +66,7 @@ include $(OSAL_CONFIG_MK) 
 
 INCLUDES+= $(OSAL_INCLUDES) \
 	-I$(ICP_OSAL_DIR)/common/include \
-	-I$(ICP_IX_TOOLS_DIR)/include/os/linux \
+	-I$(ICP_TOOLS_DIR)/include/os/linux \
 	-I$(ICP_IX_TOOLS_XSC_CORE_DIR)/halAe/include/linux \
 	-I$(ICP_ASD_DIR)/include \
 	-I$(ICP_API_DIR)/dcc \
--- Acceleration/library/icp_services/RuntimeTargetLibrary/Target_CoreLibs/halAe/linuxAeDrv.c	2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/library/icp_services/RuntimeTargetLibrary/Target_CoreLibs/halAe/linuxAeDrv.c	2009-04-15 15:39:56.000000000 +0100
@@ -590,8 +590,7 @@ halAe_Tasklet(unsigned long unused)
 DECLARE_TASKLET(hal_tasklet, halAe_Tasklet, 0);
 
 /***************************************************************************
- *    irqreturn_t halAe_Intr_attn_ISR_ICP(int irq, void *dev_id, 
-                                          struct pt_regs *regs)
+ *    irqreturn_t halAe_Intr_attn_ISR_ICP(int irq, void *dev_id) 
  *
  * Description:
  *
@@ -602,8 +601,7 @@ DECLARE_TASKLET(hal_tasklet, halAe_Taskl
 ***************************************************************************/
 static 
 irqreturn_t halAe_Intr_attn_ISR_ICP(int irq, 
-                                    void *dev_id, 
-                                    struct pt_regs *regs)
+                                    void *dev_id) 
 {
     unsigned int attn_bkpt_mask, attn_parity_mask;
     unsigned int thd_mask_a, summary_bit_a;
@@ -711,7 +709,7 @@ halAe_IntrEnable(unsigned int   type_mas
        {
            if(!irq_registered)
            {
-               request_irq(pci_ae_irq, &halAe_Intr_attn_ISR_ICP, SA_SHIRQ, "AeDrv", 
+               request_irq(pci_ae_irq, &halAe_Intr_attn_ISR_ICP, IRQF_SHARED, "AeDrv", 
                            pci_dev_array[PCI_DEVICE_AE_CLUSTER_INDEX]);
                /* enable_irq(pci_ae_irq); */
                irq_registered = 1;
--- Acceleration/shims/OCF_Shim/src/icp_common.c	2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/shims/OCF_Shim/src/icp_common.c	2009-04-10 12:38:30.000000000 +0100
@@ -228,7 +228,7 @@ static int __init icp_ocfDrvInit(void)
 	 */
 	drvOpData_zone =
 	    kmem_cache_create("ICP Op Data", sizeof(struct icp_drvOpData) +
-	            defBuffListInfo.metaSize ,0, SLAB_HWCACHE_ALIGN, NULL, NULL);
+	            defBuffListInfo.metaSize ,0, SLAB_HWCACHE_ALIGN, NULL);
 
 
 	ICP_CACHE_NULL_CHECK(drvOpData_zone);
@@ -256,7 +256,7 @@ static int __init icp_ocfDrvInit(void)
 	drvDSARSSignKValue_zone =
 	    kmem_cache_create("ICP DSA Sign Rand Val",
 			      DSA_RS_SIGN_PRIMEQ_SIZE_IN_BYTES, 0,
-			      SLAB_HWCACHE_ALIGN, NULL, NULL);
+			      SLAB_HWCACHE_ALIGN, NULL);
 	ICP_CACHE_NULL_CHECK(drvDSARSSignKValue_zone);
 
 	drvDSAVerify_zone =
@@ -488,8 +488,7 @@ int icp_ocfDrvDeregRetry(CpaCySymSession
 
 	workstore->sessionToDeregister = sessionToDeregister;
 
-	INIT_WORK(&(workstore->work), icp_ocfDrvDeferedFreeLacSessionProcess,
-		  workstore);
+	INIT_WORK(&(workstore->work), icp_ocfDrvDeferedFreeLacSessionProcess);
 	queue_work(icp_ocfDrvFreeLacSessionWorkQ, &(workstore->work));
 
 	return ICP_OCF_DRV_STATUS_SUCCESS;
@@ -506,18 +505,22 @@ int icp_ocfDrvDeregRetry(CpaCySymSession
 static void icp_ocfDrvDeferedFreeLacSessionProcess(void *arg)
 {
 	struct icp_ocfDrvFreeLacSession *workstore = NULL;
+	struct workqueue_struct *wq = NULL;
 	CpaCySymSessionCtx sessionToDeregister = NULL;
 	int i = 0;
 	int remaining_delay_time_in_jiffies = 0;
 	CpaStatus lacStatus = CPA_STATUS_SUCCESS;
 
-	workstore = (struct icp_ocfDrvFreeLacSession *)arg;
-	if (NULL == workstore) {
+	if (NULL == arg) {
 		DPRINTK("%s() function called with null parameter \n",
 			__FUNCTION__);
 		return;
 	}
 
+/*retrieve session object using the pointer to it's 'work' member*/
+	wq = (struct  workqueue_struct *)arg;
+	workstore = container_of(wq, struct icp_ocfDrvFreeLacSession, work);
+
 	sessionToDeregister = workstore->sessionToDeregister;
 	kfree(workstore);
 
--- Acceleration/drivers/icp_asd/src/kernel/linux/asd_drv.c	2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/drivers/icp_asd/src/kernel/linux/asd_drv.c	2009-02-27 15:55:13.000000000 +0000
@@ -763,6 +763,7 @@ static int __init asddrv_init()
                 return status;
         }
 
+#define KBUILD_MODNAME "icp_asd"
         status = pci_register_driver(&asd_driver);
         if (status) {
                 ASD_ERROR("failed call to pci_register_driver\n");
--- Acceleration/library/icp_utils/OSAL/common/os/linux/src/modules/ddk/IxOsalOsDdkIrq.c	2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/library/icp_utils/OSAL/common/os/linux/src/modules/ddk/IxOsalOsDdkIrq.c	2009-02-27 15:55:03.000000000 +0000
@@ -254,7 +254,7 @@ ixOsalIrqBind (UINT32 vector, IxOsalVoid
          * request_irq will enable interrupt automatically 
          * A non-zero return value suggest a failure.
          */
-        if (request_irq (vector, ixOsalOsIsrProxyWithPC, SA_SHIRQ, 
+        if (request_irq (vector, ixOsalOsIsrProxyWithPC, IRQF_SHARED, 
                          ixOsalGetIrqNameByVector(vector),
                          &IxOsalInfo[vector]))
         {
@@ -270,7 +270,7 @@ ixOsalIrqBind (UINT32 vector, IxOsalVoid
          * request_irq will enable interrupt automatically 
          * A non-zero return value suggest a failure.
          */
-        if (request_irq (vector, ixOsalOsIsrProxy, SA_SHIRQ,
+        if (request_irq (vector, ixOsalOsIsrProxy, IRQF_SHARED,
             ixOsalGetIrqNameByVector(vector), &IxOsalInfo[vector]))
         {
             ixOsalLog (IX_OSAL_LOG_LVL_ERROR, IX_OSAL_LOG_DEV_STDOUT,
@@ -311,7 +311,7 @@ ixOsalIrqLock (void)
 #ifdef IX_OSAL_OS_LINUX_VERSION_2_6_18
     local_save_flags(flags);
 #else
-    local_save_flags((unsigned long)flags);
+    local_save_flags(flags);
 #endif
     local_irq_disable();
 #else
--- Acceleration/library/icp_utils/OSAL/platforms/EP805XX/os/linux/src/IxOsalOsOem.c	2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/library/icp_utils/OSAL/platforms/EP805XX/os/linux/src/IxOsalOsOem.c	2009-03-23 14:10:28.000000000 +0000
@@ -73,8 +73,6 @@ PRIVATE BOOL IxOsalOemInitialized = FALS
 
 PUBLIC UINT32 ixOsalLinuxInterruptedPc = 0;
 
-extern struct new_utsname system_utsname;
-
 PUBLIC UINT32
 ixOsalOsEP805XXTimestampGet (void)
 {
@@ -126,14 +124,14 @@ ixOsalOemInit (void)
 PUBLIC IX_STATUS
 ixOsalOsEP805XXNameGet(INT8* osName, INT32 maxSize)
 {
-    strncpy(osName, system_utsname.sysname, maxSize);
+    strncpy(osName, (init_utsname())->sysname, maxSize);
     return IX_SUCCESS;
 }
 
 PUBLIC IX_STATUS
 ixOsalOsEP805XXVersionGet(INT8* osVersion, INT32 maxSize)
 {
-    strncpy(osVersion, system_utsname.release, maxSize);
+    strncpy(osVersion, (init_utsname())->release, maxSize);
     return IX_SUCCESS;
 }
 
--- Acceleration/shims/OCF_Shim/src/icp_ocf.h	2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/shims/OCF_Shim/src/icp_ocf.h	2009-03-13 17:10:22.000000000 +0000
@@ -128,7 +128,7 @@
 
 #define ICP_CACHE_CREATE(cache_ID, cache_name) 				\
 	kmem_cache_create(cache_ID, sizeof(cache_name),0, 		\
-		SLAB_HWCACHE_ALIGN, NULL, NULL);
+		SLAB_HWCACHE_ALIGN, NULL);
 
 #define ICP_CACHE_NULL_CHECK(slab_zone)					\
 {									\
--- build_system/build_files/common.mk	2009-02-27 16:07:12.000000000 +0000
+++ build_system/build_files/common.mk	2009-02-18 14:09:44.000000000 +0000
@@ -122,7 +122,7 @@ CC=$(COMPILER)
 LD=$(LINKER)
 AR=$(ARCHIVER)
 
-CFLAGS+=-O2
+EXTRA_CFLAGS+=-O2
 
 
 PWD= $(shell pwd)
--- Acceleration/drivers/icp_asd/src/kernel/linux/Makefile     2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/drivers/icp_asd/src/kernel/linux/Makefile     2009-04-15 14:38:56.000000000 +0100
@@ -100,7 +100,9 @@ ASD_ICP_PPC_INCLUDE=-I$(ICP_ASD_FP_INCLU

 ASD_INCLUDES=$(ASD_ICP_SERVICES_INCLUDE) $(ASD_ICP_CRYPTO_INCLUDE) $(ASD_ICP_DEBUG_INCLUDE) $(ASD_ICP_PPC_INCLUDE)

-TOOLS_INCLUDES=-I$(TOOLS_DIR)/include
+TOOLS_INCLUDES=-I$(ICP_AE_TOOLS_DIR)/include
+TOOLS_INCLUDES+=-I$(ICP_AE_TOOLS_DIR)/include/os/linux
+

 INCLUDES=-I$(ICP_API_DIR) -I$(ICP_ASD_DIR)/include -I$(ICP_ASD_KERNEL_INCLUDE) $(ASD_INCLUDES) $(TOOLS_INCLUDES)

--- Acceleration/library/icp_debug/DCC/source/Makefile	2008-12-15 17:28:34.000000000 +0000
+++ Acceleration/library/icp_debug/DCC/source/Makefile	2009-02-18 14:09:19.000000000 +0000
@@ -91,42 +91,42 @@ include $(VERSION_FILE)
 ifdef PACKAGE_TYPE
 ifdef PACKAGE_OS
 PKG_NAME=\"$(PACKAGE_TYPE).$(PACKAGE_OS)\"
-CFLAGS += -DPACKAGE_NAME=$(PKG_NAME)
+EXTRA_CFLAGS += -DPACKAGE_NAME=$(PKG_NAME)
 endif
 endif
 
 ifdef PACKAGE_VERSION_MAJOR_NUMBER
-CFLAGS += -DPACKAGE_VERSION_MAJOR_NUMBER=$(PACKAGE_VERSION_MAJOR_NUMBER)
+EXTRA_CFLAGS += -DPACKAGE_VERSION_MAJOR_NUMBER=$(PACKAGE_VERSION_MAJOR_NUMBER)
 endif
 
 ifdef PACKAGE_VERSION_MINOR_NUMBER
-CFLAGS += -DPACKAGE_VERSION_MINOR_NUMBER=$(PACKAGE_VERSION_MINOR_NUMBER)
+EXTRA_CFLAGS += -DPACKAGE_VERSION_MINOR_NUMBER=$(PACKAGE_VERSION_MINOR_NUMBER)
 endif
 
 ifdef PACKAGE_VERSION_PATCH_NUMBER
-CFLAGS += -DPACKAGE_VERSION_PATCH_NUMBER=$(PACKAGE_VERSION_PATCH_NUMBER)
+EXTRA_CFLAGS += -DPACKAGE_VERSION_PATCH_NUMBER=$(PACKAGE_VERSION_PATCH_NUMBER)
 endif
 
 ifdef PACKAGE_VERSION_BUILD_NUMBER
-CFLAGS += -DPACKAGE_VERSION_BUILD_NUMBER=$(PACKAGE_VERSION_BUILD_NUMBER)
+EXTRA_CFLAGS += -DPACKAGE_VERSION_BUILD_NUMBER=$(PACKAGE_VERSION_BUILD_NUMBER)
 endif
 
-CFLAGS += -DIOSTYLE=HARDWARE -D__LITTLE_ENDIAN -D__BYTE_ORDER=__LITTLE_ENDIAN 
+EXTRA_CFLAGS += -DIOSTYLE=HARDWARE -D__LITTLE_ENDIAN -D__BYTE_ORDER=__LITTLE_ENDIAN 
 
 ifeq ($(ICP_OS_LEVEL),user_space)
 else
 include $(OSAL_DIR)/platforms/$(IX_DEVICE)/os/linux/make/OsalConfig.mk
 endif
 
-CFLAGS += $(OSAL_INCLUDES)
-CFLAGS += $(OSAL_CFLAGS)
+EXTRA_CFLAGS += $(OSAL_INCLUDES)
+EXTRA_CFLAGS += $(OSAL_CFLAGS)
 
 ifdef ICP_DEBUG
-CFLAGS += -DICP_DCC_DEBUG
+EXTRA_CFLAGS += -DICP_DCC_DEBUG
 endif
 
 ifdef CSF_LIBRARY
-CFLAGS += -DCSF_LIBRARY_MODULE
+EXTRA_CFLAGS += -DCSF_LIBRARY_MODULE
 endif
 
 #Add the name for the executable, Library or Module output definitions
@@ -146,7 +146,7 @@ ifeq ($(ICP_OS_LEVEL),kernel_space)
 endif
 
 ifeq ($(ICP_OS_LEVEL),user_space)
-CFLAGS += -DICP_DCC_USE_SEMAPHORE
+EXTRA_CFLAGS += -DICP_DCC_USE_SEMAPHORE
 endif
 
 #common includes between all supported OSes
@@ -171,7 +171,8 @@ endif
 # e.g "lib_static lib_shared exe module" as show below
 install: lib_static
 
-
+all:
+	echo "ENV: $(ICP_ENV_DIR)/environment.mk\n"
 
 ###################Include rules makefiles########################
 include $(ICP_BUILDSYSTEM_PATH)/build_files/rules.mk
 
--- Acceleration/library/icp_debugmgmt/MIL/source/Makefile	2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/library/icp_debugmgmt/MIL/source/Makefile	2009-02-27 15:55:03.000000000 +0000
@@ -96,14 +96,14 @@ OUTPUT_NAME=icp_debugmgmt
 endif
 
 ifdef ICP_DEBUG
-CFLAGS += -DMIL_DEBUG
+EXTRA_CFLAGS += -DMIL_DEBUG
 endif
 
 #Enable all warnings
-CFLAGS += -Wall
+EXTRA_CFLAGS += -Wall
 #Add the name for the executable, Library or Module output definitions
 
-CFLAGS += -DIOSTYLE=HARDWARE -D__LITTLE_ENDIAN -D__BYTE_ORDER=__LITTLE_ENDIAN 
+EXTRA_CFLAGS += -DIOSTYLE=HARDWARE -D__LITTLE_ENDIAN -D__BYTE_ORDER=__LITTLE_ENDIAN 
 # List of Source Files to be compiled (to be in a single line or on different lines separated by a "\" and tab.
 
 ifeq ($(ICP_OS_LEVEL),user_space)
--- Acceleration/library/icp_debugmgmt/MIL/source/mil_drv/mil_linux_kernel.c	2009-03-13 19:27:38.000000000 +0000
+++ Acceleration/library/icp_debugmgmt/MIL/source/mil_drv/mil_linux_kernel.c	2009-03-23 13:56:45.000000000 +0000
@@ -93,6 +93,8 @@
 #include "dcc/icp_dcc.h"
 #include "mil_internal.h"
 
+#include <linux/autoconf.h>
+
 static int mil_open_device_count = 0;/**<number of open
                                          connection for this device*/
 static int major_number = 0; /**<Registration id for the device*/
@@ -541,15 +543,9 @@ void mil_fini ( void )
     MIL_KERNEL_PRINT("\n[MIL_ks:mil_fini] *** unloading "\
                     "MIL kernel module\n\n");
     /*Unregister the device */
-    status = unregister_chrdev (
+    unregister_chrdev (
                  major_number ,
                  MIL_DEVICE_NAME );
-    if ( status < 0 )
-    {
-        MIL_KERNEL_DEBUG_PRINT("[MIL_ks:mil_fini] "\
-                        "failed to unregister the MIL device driver.\n");
-        return;
-    }
 }
 
 module_init(mil_init);
--- Acceleration/library/icp_services/linux_2.6_kernel_space.mk	2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/library/icp_services/linux_2.6_kernel_space.mk	2009-02-27 15:55:04.000000000 +0000
@@ -70,23 +70,23 @@ INCLUDES+=-I$(AE_FW_API_DIR) \
 EXTRA_CFLAGS += $(INCLUDES) 
 EXTRA_LDFLAGS +=-whole-archive
 
-CFLAGS += $(OSAL_INCLUDES)
-CFLAGS += $(OSAL_CFLAGS)
+EXTRA_CFLAGS += $(OSAL_INCLUDES)
+EXTRA_CFLAGS += $(OSAL_CFLAGS)
 
-CFLAGS += -D_IX_RM_IMPL_HARDWARE_ -D_IX_RM_MULTI_THREADED_ -DIOSTYLE=HARDWARE -D__LITTLE_ENDIAN -D__BYTE_ORDER=__LITTLE_ENDIAN  
+EXTRA_CFLAGS += -D_IX_RM_IMPL_HARDWARE_ -D_IX_RM_MULTI_THREADED_ -DIOSTYLE=HARDWARE -D__LITTLE_ENDIAN -D__BYTE_ORDER=__LITTLE_ENDIAN  
 
-CFLAGS += -D_ICP_BTR_INCLUDE_OS_BUF_TRANS_
+EXTRA_CFLAGS += -D_ICP_BTR_INCLUDE_OS_BUF_TRANS_
 
 ifeq ($(ICP_OS_LEVEL),user_space)
 else
 include $(OSAL_DIR)/platforms/$(IX_DEVICE)/os/linux/make/OsalConfig.mk
 endif
 
-CFLAGS += $(OSAL_INCLUDES)
-CFLAGS += $(OSAL_CFLAGS)
+EXTRA_CFLAGS += $(OSAL_INCLUDES)
+EXTRA_CFLAGS += $(OSAL_CFLAGS)
 
 ifdef CSF_LIBRARY
-CFLAGS += -DCSF_LIBRARY_MODULE
+EXTRA_CFLAGS += -DCSF_LIBRARY_MODULE
 endif
 
 echo_toolsinclude:
--- Acceleration/library/icp_services/RuntimeTargetLibrary/Target_CoreLibs/halAe/include/linux/halAe_platform.h	2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/library/icp_services/RuntimeTargetLibrary/Target_CoreLibs/halAe/include/linux/halAe_platform.h	2009-02-27 15:55:05.000000000 +0000
@@ -91,7 +91,7 @@
 #include <linux/init.h>
 #include <linux/pci.h>
 #include <linux/spinlock.h>
-#include <asm-i386/processor.h>  
+#include <asm/processor.h>  
 #include <asm/bitops.h>
 #include <asm/io.h>
 #include <asm/ioctl.h>
--- Acceleration/library/icp_crypto/look_aside_crypto/src/sample_code/performance/cpa_linux_mem_utils.c       2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/library/icp_crypto/look_aside_crypto/src/sample_code/performance/cpa_linux_mem_utils.c        2009-03-23 19:52:07.000000000 +0000
@@ -91,7 +91,7 @@
  *****************************************************************************/


-    #include <asm-i386/io.h>
+    #include <asm/io.h>

 #include "cpa.h"
 #include "cpa_perf_defines.h"
--- Acceleration/library/icp_crypto/look_aside_crypto/src/sample_code/performance/cpa_main_utils_perf.c       2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/library/icp_crypto/look_aside_crypto/src/sample_code/performance/cpa_main_utils_perf.c        2009-03-23 19:52:26.000000000 +0000
@@ -102,7 +102,7 @@
  *****************************************************************************/

 #if defined(__linux)
-    #include <asm-i386/io.h>
+    #include <asm/io.h>
 #endif

 #include "cpa.h"
--- Acceleration/drivers/icp_asd/src/kernel/linux/asd_isr.c     2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/drivers/icp_asd/src/kernel/linux/asd_isr.c    2009-04-15 15:38:04.000000000 +0100
@@ -131,7 +131,7 @@ static int asd_schedule_qat_tasklet(void
  *     Calls the appropriate TopHalf handler.
  *     Assumption is that an error return status means interrupt was not handled
  */
-static irqreturn_t asd_intr(int irq, void *privdata, struct pt_regs *ptx)
+static irqreturn_t asd_intr(int irq, void *privdata)
 {
         icp_accel_dev_t *accel_dev=(icp_accel_dev_t *)privdata;
         Cpa8U sInt=0;
@@ -276,7 +276,7 @@ int asd_isr_resource_alloc(icp_accel_dev
                 }

                 status = request_irq(accel_dev->ringCtrlr.irq, asd_intr,
-                                     SA_SHIRQ,
+                                     IRQF_SHARED,
                                      asd_driver_name, (void *)accel_dev);
                 if (status) {

--- Acceleration/drivers/icp_asd/src/kernel/linux/asd_acpi.c	2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/drivers/icp_asd/src/kernel/linux/asd_acpi.c	2009-04-22 14:12:43.000000000 +0100
@@ -68,7 +68,6 @@
  *
  **************************************************************************/
 #include <linux/kernel.h>
-#include <linux/pci.h>
 #include <linux/init.h>
 #include <linux/types.h>
 #include <linux/fs.h>
@@ -88,7 +87,11 @@
  * acpi_driver structure
  */
 #define ACPI_MEMORY_DEVICE_CLASS "memory"
-#define ACPI_MEMORY_DEVICE_HID   "PNP0C02"
+static const struct acpi_device_id ACPI_MEMORY_DEVICE_HID[] = {
+       {"PNP0C02", 0},
+       {"", 0},
+};
+
 #define ACPI_MEMORY_DEVICE_NAME  "P2P1"
 
 /*
--- Acceleration//library/icp_utils/OSAL/platforms/EP805XX/os/linux/include/IxOsalOsOem.h	2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/library/icp_utils/OSAL/platforms/EP805XX/os/linux/include/IxOsalOsOem.h	2009-04-22 14:07:32.000000000 +0100
@@ -72,9 +72,6 @@
 /* This is used in IxOsalOs.h */
 #include <asm/io.h>
  
-/* This is used in IxOsalOs.h */
-#include <linux/pci.h>
-  
 /* This is used in IxOsalOsTypes.h*/
 #include <asm/atomic.h>
 
--- Acceleration/library/icp_utils/OSAL/common/os/linux/include/core/IxOsalOs.h	2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/library/icp_utils/OSAL/common/os/linux/include/core/IxOsalOs.h	2009-04-22 14:08:13.000000000 +0100
@@ -81,8 +81,6 @@
 
 #include <asm/io.h>
 
-#include <linux/pci.h>
-
 #include <asm/div64.h>
 
 #else /* ! KERNEL_VERSION 2.6 */
--- Acceleration/library/icp_utils/OSAL/common/os/linux/src/modules/ddk/IxOsalOsDdkPci.c	2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/library/icp_utils/OSAL/common/os/linux/src/modules/ddk/IxOsalOsDdkPci.c	2009-04-22 14:08:39.000000000 +0100
@@ -65,8 +65,6 @@
  *  version: Security.L.1.0.1-66
  */
 #include "IxOsal.h"
-#include <linux/pci.h>
-
 
 
 PUBLIC
--- Acceleration/drivers/icp_asd/include/icp_accel_handle.h	2009-02-27 16:07:35.000000000 +0000
+++ Acceleration/drivers/icp_asd/include/icp_accel_handle.h	2009-04-22 14:09:25.000000000 +0100
@@ -84,7 +84,6 @@
 #if (defined (__linux__) && defined (__KERNEL__))
 #include <linux/types.h>
 #include <asm/atomic.h>
-#include <linux/pci.h>
 #include <linux/firmware.h>
 #endif
 
--- Acceleration/drivers/icp_asd/src/kernel/include/asd_drv.h	2009-02-27 16:07:35.000000000 +0000
+++ Acceleration/drivers/icp_asd/src/kernel/include/asd_drv.h	2009-04-22 14:10:03.000000000 +0100
@@ -74,6 +74,11 @@
 #include <linux/kernel.h>
 #endif
 
+#ifndef KBUILD_MODNAME
+#define KBUILD_MODNAME "icp_asd"
+#endif
+#include <linux/pci.h>
+
 #ifndef SUCCESS
 #define SUCCESS 0
 #endif
--- Acceleration/drivers/icp_asd/src/kernel/linux/asd_drv.c	2009-02-27 16:07:12.000000000 +0000
+++ Acceleration/drivers/icp_asd/src/kernel/linux/asd_drv.c	2009-04-22 14:12:15.000000000 +0100
@@ -73,7 +73,6 @@
 #include <linux/kernel.h>
 #include <linux/module.h>
 #include <linux/moduleparam.h>
-#include <linux/pci.h>
 #include <linux/init.h>
 #include <linux/types.h>
 #include <linux/fs.h>
